## python-django-tagging 0.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django-tagging.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django-tagging.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django-tagging"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django-tagging"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-django-tagging 0.3.1

=== debian/changelog ===
python-django-tagging (1:0.3.1-4) unstable; urgency=medium

  * Drop David Spreen from Uploaders. Closes: #738932
  * Add fix-testsuite.patch and now run the testsuite.
  * Add django-1.7-compat.patch to make it work with Django 1.7.
    Closes: #755624
  * Bump Standards-Version to 3.9.5 and debhelper compat to 9.
  * Add python-django to Build-Depends for the test suite.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 14 Feb 2014 09:31:36 +0100

python-django-tagging (1:0.3.1-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Jonas Genannt ]
  * added myself as Uploader
  * Added epoch, since python-django-taggit has taken over the binary
    package due an mistake.

 -- Jonas Genannt <jonas.genannt@capi2name.de>  Sun, 01 Sep 2013 16:46:35 +0200

python-django-tagging (0.3.1-2) unstable; urgency=low

  * Switch to dh_python2 instead of python-support.
  * Bump debhelper compat level to 8.
  * Update Standards-Version to 3.9.2 (no change needed).
  * Drop the article from the description (lintian warning).
  * Update Vcs-Browser URL to point to the new location.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 02 Nov 2011 12:29:00 +0100

python-django-tagging (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Change build-depends on python-all-dev to python-all.
  * Switch to source format 3.0 (quilt).
  * Drop useless README.source.
  * Register documentation with doc-base.

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 27 Jan 2010 15:47:04 +0100

python-django-tagging (0.3-1) unstable; urgency=low

  * New upstream release. Closes: #549612
  * Update watch file to match new scheme.
  * Update Standards-Version to 3.8.3, no changes needed.
  * Add a README.source pointing to quilt's README.source.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 05 Oct 2009 23:52:09 +0200

python-django-tagging (0.2.1+svn154-2) unstable; urgency=low

  * Apply patch to fix weight of tag when using logarithmic distribution.
    Closes: #525770

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 08 May 2009 12:30:16 +0200

python-django-tagging (0.2.1+svn154-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Raphael Hertzog ]
  * New SVN snapshot. Upload to unstable now that Django 1.0 is there.
  * Drop debian/patches/01_remove_django_builddeps as setup.py got fixed
    upstream.
  * Standards-Version bumped to 3.8.1, no changes needed.
  * Switch to debhelper 7 and drop CDBS.
  * Drop useless debian/pycompat file.
  * Drop duplicate Priority field.
  * Add ${misc:Depends} variable in Depends.

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 13 Mar 2009 14:14:50 +0100

python-django-tagging (0.2.1+svn147-1) experimental; urgency=low

  * SVN snapshot to ensure compatibility with upcoming Django 1.0 release.
  * debian/control: Depend on python-django >= 1.0~beta1.
  * debian/patches/01_remove_django_builddeps: Added patch to remove 
    build-dep on python-django and the need to install the package 
    from within $PYTHON_PATH.
  * debian/control: Updated policy version.

 -- David Spreen <netzwurm@debian.org>  Thu, 21 Aug 2008 18:07:31 -0700

python-django-tagging (0.2.1-1) experimental; urgency=low

  [ Raphael Hertzog ]
  * New upstream release.
  * Update the Vcs-Browser URL to match the python-modules standard.
  * Updated Standards-Version to 3.7.3.
  * Moved some build dependencies to Build-Depends-Indep as they are only
    needed during build.
  * Updated the dependency on python-django to make sure 0.96.1 doesn't
    satisfy it accidentally.

  [ Sandro Tosi ]
  * debian/control
    - uniforming Vcs-Browser field

 -- Raphael Hertzog <hertzog@debian.org>  Sun, 02 Mar 2008 12:01:32 +0100

python-django-tagging (0.1+svn102-1) experimental; urgency=low

  * Initial release.
  * Upload to experimental because it requires the development version
    of python-django.

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 04 Oct 2007 12:44:38 +0200

=== debian/control ===
Source: python-django-tagging
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Jonas Genannt <jonas.genannt@capi2name.de>
Standards-Version: 3.9.5
Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-django
Build-Depends-Indep: python-docutils
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-django-tagging/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-django-tagging/trunk/
Homepage: http://code.google.com/p/django-tagging/

Package: python-django-tagging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.0)
Description: Generic tagging application for Django projects
 This is a generic tagging application for Django, which allows
 association of a number of tags with any Model instance and makes
 retrieval of tags simple.
 .
 Models can be expanded with a new TagField; web templates
 can easily include tag clouds and dedicated views are available
 to browse objects by tag.

=== debian/rules ===
#!/usr/bin/make -f

PKG = $(shell dh_listpackages)

%:
	dh $@ --with python2

override_dh_auto_test:
	PYTHONPATH=. DJANGO_SETTINGS_MODULE=tagging.tests.settings python /usr/bin/django-admin test

override_dh_installdocs:
	dh_installdocs
	# Generate documentation
	rst2html <docs/overview.txt >debian/$(PKG)/usr/share/doc/$(PKG)/overview.html

## python-django-tagging 0.4

=== debian/changelog ===
python-django-tagging (1:0.4-1) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

  [ Jonas Genannt ]
  * Imported Upstream version 0.4 (Closes: #801937)
  * d/control:
    - changed homepage
    - updated to pybuild
    - changed my email to @debian.org
  * d/watch: updated to pypi service
  * removed django-1.7-compat.patch
  * d/p/series: disabled patches
  * d/docs: install new docs

 -- Jonas Genannt <genannt@debian.org>  Sat, 28 Nov 2015 16:31:32 +0100

=== debian/control ===
Source: python-django-tagging
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), python-django (>= 1.7), python-all, dh-python, python-setuptools
Build-Depends-Indep: python-docutils
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-tagging.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-tagging.git
Homepage: https://github.com/Fantomas42/django-tagging
X-Python-Version: >=2.7

Package: python-django-tagging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-django (>= 1.7)
Description: Generic tagging application for Django projects
 This is a generic tagging application for Django, which allows
 association of a number of tags with any Model instance and makes
 retrieval of tags simple.
 .
 Models can be expanded with a new TagField; web templates
 can easily include tag clouds and dedicated views are available
 to browse objects by tag.

=== debian/rules ===
#!/usr/bin/make -f

PKG = $(shell dh_listpackages)
export PYBUILD_NAME = python-django-tagging

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	PYTHONPATH=. DJANGO_SETTINGS_MODULE=tagging.tests.settings python /usr/bin/django-admin test

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/django-tagging/django-tagging-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-django-tagging 0.4.1

=== debian/changelog ===
python-django-tagging (1:0.4.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Christopher Baines ]
  * New upstream version 0.4.1 (Closes: #807454)

  [ Gianfranco Costamagna ]
  * Bump std-version to 3.9.8.

 -- Christopher Baines <mail@cbaines.net>  Tue, 29 Mar 2016 22:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Jonas Genannt <genannt@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), python-django (>= 1.7), python-all, dh-python, python-setuptools
 Build-Depends-Indep: python-docutils
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-django-tagging.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django-tagging.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django-tagging.git
 Homepage: https://github.com/Fantomas42/django-tagging
 X-Python-Version: >=2.7

## python-django-tagging 0.4.5

=== debian/changelog ===
python-django-tagging (1:0.4.5-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 27 Jul 2019 04:14:14 +0200

python-django-tagging (1:0.4.5-1) unstable; urgency=medium

  [ Christopher Baines ]
  * Convert debian/copyright to the DEP-5 format
  * Add myself as an uploader
  * Remove the fix_calc_tag_weight patch, as this has been merged upstream
  * Remove the fix-testsuite patch, as this is unnecessary

  [ Christos Trochalakis ]
  * New upstream version. (Closes: #828673)
  * Add myself to Uploaders.

 -- Christos Trochalakis <ctrochalakis@debian.org>  Wed, 18 Jan 2017 18:07:41 +0200

=== debian/control ===
Source: python-django-tagging
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jonas Genannt <genannt@debian.org>,
           Christopher Baines <mail@cbaines.net>,
           Christos Trochalakis <ctrochalakis@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 9),
               dh-python,
               python3-all,
               python3-django,
               python3-setuptools
Build-Depends-Indep: python-docutils, python3-docutils
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django-tagging
Vcs-Git: https://salsa.debian.org/python-team/modules/python-django-tagging.git
Homepage: https://github.com/Fantomas42/django-tagging

Package: python3-django-tagging
Architecture: all
Depends: python3-django, ${misc:Depends}, ${python3:Depends}
Description: Generic tagging application for Django projects (Python 3)
 This is a generic tagging application for Django, which allows
 association of a number of tags with any Model instance and makes
 retrieval of tags simple.
 .
 Models can be expanded with a new TagField; web templates
 can easily include tag clouds and dedicated views are available
 to browse objects by tag.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-tagging

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e;
	for python in $$(py3versions -s); do \
		echo "——— Running tests with $$python ———"; \
		PYTHONPATH=. DJANGO_SETTINGS_MODULE=tagging.tests.settings \
		$$python /usr/bin/django-admin test --verbosity=2; \
	done
endif

## python-django-tagging 0.5.0

=== debian/changelog ===
python-django-tagging (1:0.5.0-5.1) unstable; urgency=medium

  * NUM upload Fix FTBFS with python3.12 (Closes: #1061752)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 15 Mar 2024 13:03:47 +0100

python-django-tagging (1:0.5.0-5) unstable; urgency=medium

  * Team upload.
  * Add Check-FullResultSet-exception.patch to fix Django 4.2
    compatibility by handling FullResultSet exceptions.

 -- Lena Voytek <lena.voytek@canonical.com>  Tue, 08 Aug 2023 13:14:46 -0700

python-django-tagging (1:0.5.0-4) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add patch to fix FTBFS with python3.11.
    (closes: #1028671)
  * Update lintian overrides.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 21 Jan 2023 21:33:02 +0100

python-django-tagging (1:0.5.0-3) unstable; urgency=medium

  * Team upload
  * [9db091e] Rebuild patch queue from patch-queue branch
    Added patches:
    Rebuild patch queue from patch-queue branch
    Added patches:
    django-4.x-fixes/Add-support-for-Django-4-compatibility.patch
    django-4.x-fixes/Use-re_path-instead-of-deprecated-url-Django-function.patch
    django-4.x-fixes/Use-smart_str-instead-of-deprecated-smart_text-Django-fun.patch
    The patches are taken from PR #23 on the GitHub upstream project.
    https://github.com/Fantomas42/django-tagging/pull/23
    (Closes: #1013509)
  * [be004b3] d/control: Update Standards-Version to 4.6.1
    No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 25 Jun 2022 19:56:12 +0200

python-django-tagging (1:0.5.0-2) unstable; urgency=medium

  * Team upload
  * [fcfd5bf] d/control: Suggest the -doc package within the library
  * [92afdfa] d/control: Mark the -doc package Multi-Arch: foreign

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 24 Sep 2021 20:42:35 +0200

python-django-tagging (1:0.5.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
    + Drop check for DEB_BUILD_OPTIONS containing "nocheck", since debhelper now
      does this.

  [ Carsten Schoenert ]
  * [06fd469] d/gbp.conf: Adding a config for git-buildpackage
  * [f845131] New upstream version 0.5.0
    (Closes: #961170)
  * [413d5d5] d/watch: Update to version 4
  * [fcbda1e] d/control: Running wrap-and-sort again with '-ast'
  * [1c4e01f] d/control: Reorder the content of Build-Depends-Indep
  * [2a8656d] d/u/metadata: Small update to content
  * [5b048a1] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [32f5eeb] d/control: Adding entry Rules-Requires-Root: no
  * [022c21f] Add patchqueue from patch queue branch
    Added patch:
    Use-local-inventory-for-intersphinx.patch
  * [133ab84] d/control: Add new packages to Build-Depends-Indep
  * [36939c8] Move d/docs to more specific sequencer name
  * [1a0881f] d/rules: Uniform and simplify the dh_auto_test target
  * [b9aee1b] python-django-tagging-doc: Adding new binary package
  * [92cec47] Lintian: Adding overrides for the library package
  * [682c523] Lintian: Add small overrides for the source package
  * [c232a58] Autopkgtest: Add basic testing

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 07 Sep 2021 17:11:03 +0200

python-django-tagging (1:0.4.5-3) unstable; urgency=medium

  * remove python-docutils from b-d-i; Closes: #943179

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Apr 2020 00:48:48 -0400

=== debian/control ===
Source: python-django-tagging
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Jonas Genannt <genannt@debian.org>,
 Christopher Baines <mail@cbaines.net>,
 Christos Trochalakis <ctrochalakis@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Indep:
 dh-python,
 python-django-doc,
 python3-all,
 python3-django,
 python3-docutils,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django-tagging
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django-tagging.git
Homepage: https://github.com/Fantomas42/django-tagging

Package: python-django-tagging-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Description: Generic tagging application for Django projects (Documentation)
 This is a generic tagging application for Django, which allows
 association of a number of tags with any Model instance and makes
 retrieval of tags simple.
 .
 Models can be expanded with a new TagField; web templates
 can easily include tag clouds and dedicated views are available
 to browse objects by tag.
 .
 This package contains the documentation.

Package: python3-django-tagging
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-django-tagging-doc,
Description: Generic tagging application for Django projects (Python 3)
 This is a generic tagging application for Django, which allows
 association of a number of tags with any Model instance and makes
 retrieval of tags simple.
 .
 Models can be expanded with a new TagField; web templates
 can easily include tag clouds and dedicated views are available
 to browse objects by tag.
 .
 This is the Python 3 version of the package.

=== debian/tests/control ===
Test-Command: cp -r tagging/tests ${AUTOPKGTEST_TMP}/ && cd ${AUTOPKGTEST_TMP}/tests && PYTHONPATH=. DJANGO_SETTINGS_MODULE=tagging.tests.settings django-admin test --verbosity=2
Depends: @,
Restrictions: allow-stderr

=== debian/watch ===
# watch file for python-django-tagging

version=4

# Upstream has used some wired tagging in the past, we need to test
# explicitly for versions with a schema of 'v(x.x.x)'.

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/python-django-tagging-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/Fantomas42/django-tagging.git \
      refs/tags/v(\d+\.\d+\.\d)
